GCLOUD_AUTH_ACTIVATE-SERVICE-ACCOUNT(1)

NAME

gcloud auth activate-service-account - authorize access to Google Cloud Platform using a service account

SYNOPSIS

gcloud auth activate-service-account [ACCOUNT] --key-file=KEY_FILE [--password-file=PASSWORD_FILE | --prompt-for-password] [GLOBAL-FLAG ...]

DESCRIPTION
Obtains access credentials for the service account using a .json (preferred) or from the Cloud Platform console (https://console.cloud.google.com). For .p12 files, a password is required. This password is displayed in the console when you create the key. If you specify a project using the --project flag, the project is set in your active configuration. Any previously active credentials will still be retained, they will just no longer be the active credentials.

POSITIONAL ARGUMENTS

    [ACCOUNT]
        E-mail address of the service account.

REQUIRED FLAGS

    --key-file=KEY_FILE
        Path to the private key file.

OPTIONAL FLAGS
At most one of these may be specified:

    --password-file=PASSWORD_FILE
        Path to a file containing the password for the service account private key (only for a .p12 file).

    --prompt-for-password
        Prompt for the password for the service account private key (only for a .p12 file).

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.